package com.example.pmulabs.room.repository

import androidx.paging.PagingData
import com.example.pmulabs.room.models.Comment
import kotlinx.coroutines.flow.Flow

interface CommentRepository {
    suspend fun insertComment(comment: Comment)
    suspend fun updateComment(comment: Comment)
    suspend fun deleteComment(comment: Comment)
    fun getAllComments(): Flow<List<Comment>>
    fun getCountComment(idArticle : Int?) : Int
    fun getComments(): Flow<PagingData<Comment>>
}